# class EventException

###

Module | khtml
Namespace | DOM
Class | EventException
Inherits |

### enums

- EventExceptionCode { UNSPECIFIED_EVENT_TYPE_ERR, _EXCEPTION_OFFSET, _EXCEPTION_MAX }

enum details

### methods

- EventException (_code)

  returns ctor

  Argument | Type | Default
  --- | --- | ---
  _code | unsigned short |

- EventException (other)

  returns ctor

  Argument | Type | Default
  --- | --- | ---
  other | DOM.EventException |

### variables

unsigned short code | An integer indicating the type of error generated. UNSPECIFIED_EVENT_TYPE_ERR: If the Event's type was not specified by initializing the event before the method was called. Specification of the Event's type as null or an empty string will also trigger this exception.

### enums - detail

- EventExceptionCode { UNSPECIFIED_EVENT_TYPE_ERR, _EXCEPTION_OFFSET, _EXCEPTION_MAX }

  An integer indicating the type of error generated.

  UNSPECIFIED_EVENT_TYPE_ERR: If the Event's type was not specified by initializing the event before the method was called. Specification of the Event's type as null or an empty string will also trigger this exception.

  | UNSPECIFIED_EVENT_TYPE_ERR | - 0 | - |
  | _EXCEPTION_OFFSET | - 3000 | - |
  | _EXCEPTION_MAX | - 3999 | - |